import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _CIRenderInfo extends _NSObject {
    static alloc(): _CIRenderInfo;
    static new(): _CIRenderInfo;
    init(): _CIRenderInfo;
    /** This property will return how much time a render spent executing kernels. */
    kernelExecutionTime(): number;
    /** This property will return how much time a render spent compiling kernels. */
    kernelCompileTime(): number;
    /**
     * This property will return how many passes the render requires. If passCount is 1 than the render can be fully concatinated and no intermediate buffers will be required.
     */
    passCount(): number;
    /** This property will return how many pixels a render produced executing kernels. */
    pixelsProcessed(): number;
}
